complexType "VerificationStatusNotification"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 attributes, 10 elements
Defined: | globally in fpml-msg-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, (parentCorrelationId?, correlationId[0..2], sequenceNumber?)?, onBehalfOf[0..4]?, status?, reason*, partyTradeIdentifier?, (party*, account*)?
</...>

Content Model Elements (10):

  account, correlationId, header (defined in RequestMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, | party (defined in PartiesAndAccounts.model group), partyTradeIdentifier (in verificationStatusNotification), reason (in verificationStatusNotification), sequenceNumber (defined in Sequence.model group), status (in verificationStatusNotification)

All Direct / Indirect Based Elements (1):

  verificationStatusNotification

Known Usage Locations

- As direct type of elements (1):
  verificationStatusNotification

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) NonCorrectableRequestMessage (extension) VerificationStatusNotification

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="VerificationStatusNotification"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="status" type="VerificationStatus"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="Reason"/> <xsd:element minOccurs="0" name="partyTradeIdentifier" type="PartyTradeIdentifier"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/10)
partyTradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="partyTradeIdentifier" type="PartyTradeIdentifier"/>

reason

  Type: | Reason, complex content

  The reason for any dispute or change in verification status.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="Reason"/>

status

  Type: | VerificationStatus, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="status" type="VerificationStatus"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.